%global packname  Rcompression
%global packver   0.93
%global packrel   2

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          11%{?dist}
Summary:          R Package for in-memory compression
Group:            Applications/Productivity
License:          zlib
URL:              http://www.omegahat.org/Rcompression/
Source0:          http://www.omegahat.org/Rcompression/%{packname}_%{packver}-%{packrel}.tar.gz
Patch0:           R-Rcompression-system-minizip.patch
Patch1:           R-Rcompression-DESCRIPTION-Blank-line-fix.patch
Requires:         R-core >= 3.0.0, texlive-latex
BuildRequires:    R-devel >= 3.0.0, zlib-devel, bzip2-devel, autoconf, minizip-devel
BuildRequires:    automake, libtool

%description
This package is a basic R interface to the zlib and bzip2 facilities for 
compressing and uncompressing data that are in memory rather than in files.

%prep
%setup -c -q -n %{packname}
%patch0 -p1 -b .system-minizip
%patch1 -p1 -b .blfix
cd %{packname}
autoreconf -if

# Delete bundled minizip sources
# minizip.c is based on the minizip binary, not the library, so it needs to stay
cd src/
rm -rf crypt.h ioapi.c ioapi.h minigzip.c miniunz.c miniunzip.h unzip.c unzip.h zip.c zip.h

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# Delete pointless sampleData directory full of test files
rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/sampleData/

%check
# Recursive loop with RCurl
# Also, the tests seem to be broken.
# %{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 0.93.2-8
- rebuild for R3

* Fri Feb 22 2013 Tom Callaway <spot@fedoraproject.org> - 0.93.2-7
- fix FTBFS caused by blank line in DESCRIPTION (bz 913864)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 11 2011 Tom Callaway <spot@fedoraproject.org> 0.93.2-3
- delete sampleData/ because it is full of useless junk
- add missing BR

* Fri Nov 11 2011 Tom Callaway <spot@fedoraproject.org> 0.93.2-2
- unbundle minizip and use system copy

* Thu Nov 10 2011 Tom "spot" Callaway <tcallawa@redhat.com> 0.93.2-1
- initial package for Fedora
